Bug 1875516 - disabled scheduling is easy to miss in node page of OCP console
Summary: disabled scheduling is easy to miss in node page of OCP console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 16:24 UTC by Martin Bukatovic
Modified: 2021-02-24 15:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Accessibility compliance was not considered in the implementation Consequence: The disabled scheduling is easy to miss in node page Fix: Yes Result: The disabled scheduling is easily accessible
Clone Of:
Environment:
Last Closed: 2021-02-24 15:17:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot #1: list of nodes, with one cordoned node (240.85 KB, image/png)
2020-09-03 16:27 UTC, Martin Bukatovic
no flags Details
screenshot #2: page of the cordoned node (269.65 KB, image/png)
2020-09-03 16:28 UTC, Martin Bukatovic
no flags Details
Nodes list Ready but scheduling disabled (33.58 KB, image/png)
2020-11-03 08:53 UTC, Yadan Pei
no flags Details
Node page Ready but scheduling disabled (19.11 KB, image/png)
2020-11-03 08:56 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6900 0 None closed Bug 1875516: - disabled scheduling is easy to miss in node page of OCP console 2021-02-15 20:37:52 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:17:46 UTC

Description Martin Bukatovic 2020-09-03 16:24:50 UTC
Description of problem
======================

When I disable scheduling on a node, is easy to miss this information on a node
list and node page in OCP console.

Version-Release number of selected component
============================================

version: 4.5.0-0.ci-2020-09-01-004452
image: registry.svc.ci.openshift.org/ocp/release@sha256:f71a4a493a4513f7d58113bdfb64cef50692b581fd83edbacdd4fdf6baf441d9

How reproducible
================

1/1

Steps to Reproduce
==================

1. Install OCP cluster
2. Select one node and disable scheduling on it: oc adm cordon <node-name> 
3. Open OCP Console, and go to list of Nodes (Admin -> Compute -> Nodes),
   look for the node you cordoned 
4. Open Node page of the cordoned node and look for Status of the node

Actual results
==============

Status of the node is reported as: Ready and Scheduling disabled, but the
information about scheduling is easy to miss.

Step #3: text "Scheduling disabled" is listed in status of the node, but
is downplayed via gray font color. See screenshot #1.

Step #4: text "Scheduling disabled" is listed, but it's almost invisible: font
color is grey and it's also faded into backgroud. See screenshot #2.

Expected results
================

Scheduling status is communicated with same urgency as any other node status.
Font of scheduling status should be the same for all it's text (both "Ready"
and "Scheduling disabled" are readable and visible in the same way).

Comment 1 Martin Bukatovic 2020-09-03 16:27:15 UTC
Created attachment 1713649 [details]
screenshot #1: list of nodes, with one cordoned node

Comment 2 Martin Bukatovic 2020-09-03 16:28:02 UTC
Created attachment 1713650 [details]
screenshot #2: page of the cordoned node

Comment 3 Samuel Padgett 2020-09-04 13:29:36 UTC
This is also an accessibility issue as the text does not have enough contrast.

Comment 5 Jakub Hadvig 2020-10-02 15:30:11 UTC
Was not able to get to this bug this sprint as we were prioritizing 4.6 blockers.

Comment 7 Yanping Zhang 2020-10-29 08:17:21 UTC
Fix is not contained in payload: 4.7.0-0.nightly-2020-10-27-051128, wait for new build.

Comment 8 Yadan Pei 2020-11-03 08:53:14 UTC
Created attachment 1726164 [details]
Nodes list Ready but scheduling disabled

Comment 9 Yadan Pei 2020-11-03 08:56:17 UTC
Created attachment 1726165 [details]
Node page Ready but scheduling disabled

Now a Ready, Scheduling disabled node will be shown in yellow warning icon(exclamation icon), this should not easy to miss


Verified on 4.7.0-0.ci-2020-11-03-041130

Comment 12 errata-xmlrpc 2021-02-24 15:17:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.